# QDockWidget Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QDockWidget(QWidget parent, WindowFlags flags)
- void QDockWidget(String title, QWidget parent, WindowFlags flags)

### Constructor Properties

- prototype: The QDockWidget prototype object
- NoDockWidgetFeatures = 0x00
- DockWidgetClosable = 0x01
- DockWidgetMovable = 0x02
- DockWidgetFloatable = 0x04
- AllDockWidgetFeatures = DockWidgetClosable|DockWidgetMovable|DockWidgetFloatable
- DockWidgetVerticalTitleBar = 0x08
- DockWidgetFeatureMask = 0x0f
- Reserved = 0xff
- DockWidgetFeature( value )
- DockWidgetFeatures( value1, value2, ... )

### Prototype Object Properties

The QDockWidget prototype object inherits properties from the QWidget prototype object and also has the following properties.

- DockWidgetAreas allowedAreas()
- bool isAreaAllowed(DockWidgetArea area)
- void setAllowedAreas(DockWidgetAreas areas)
- void setTitleBarWidget(QWidget widget)
- void setWidget(QWidget widget)
- QWidget titleBarWidget()
- QAction toggleViewAction()
- QWidget widget()

### Instance Properties

QDockWidget objects inherit properties from the QDockWidget prototype object and also have the following properties.

- floating
- features
- allowedAreas
- windowTitle